import { Interaction } from './interaction';
export declare class InteractionService {
    protected interactions: Interaction[];
    get length(): number;
    get uncompleted(): Interaction[];
    get completed(): Interaction[];
    load(interactions?: Interaction[]): void;
    get interactionsPerPage(): Map<number, Interaction[]>;
    all(): Interaction[];
    allGroup(): Map<number, Interaction[]>;
    has(page: number): boolean;
    get(page: number): Interaction[] | undefined;
    destroy(): void;
    open({ content }: Interaction): void;
}
